Bug 1475715 - Review Request: python-yattag - Pure python alternative to web template engines
Review Request: python-yattag - Pure python alternative to web template engines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nikola Forró
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 04:24 EDT by Sebastian Kisela
Modified: 2017-08-23 07:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 07:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nforro: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Nikola Forró 2017-08-01 09:09:29 EDT
Issues
======
- LGPLv2.1 is not valid license short name, should be LGPLv2
- python{2,3}-pytest is not necessary



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-yattag , python3-yattag
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-yattag-1.8.0-1.fc27.noarch.rpm
          python3-yattag-1.8.0-1.fc27.noarch.rpm
          python-yattag-1.8.0-1.fc27.src.rpm
python2-yattag.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
python2-yattag.noarch: W: invalid-license LGPLv2.1
python3-yattag.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
python3-yattag.noarch: W: invalid-license LGPLv2.1
python-yattag.src: W: spelling-error %description -l en_US pythonic -> Python, python
python-yattag.src: W: invalid-license LGPLv2.1
3 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python2-yattag.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
python2-yattag.noarch: W: invalid-license LGPLv2.1
python3-yattag.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
python3-yattag.noarch: W: invalid-license LGPLv2.1
2 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
python2-yattag (rpmlib, GLIBC filtered):
    python(abi)

python3-yattag (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-yattag:
    python-yattag
    python2-yattag
    python2.7dist(yattag)
    python2dist(yattag)

python3-yattag:
    python3-yattag
    python3.6dist(yattag)
    python3dist(yattag)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/y/yattag/yattag-1.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2c75d2c33a42acfa33484e19afb42a4f0eb1c633bedf5db1ca65bddb77dab6ca
  CHECKSUM(SHA256) upstream package : 2c75d2c33a42acfa33484e19afb42a4f0eb1c633bedf5db1ca65bddb77dab6ca
Comment 2 Sebastian Kisela 2017-08-01 09:51:07 EDT
(In reply to Nikola Forró from comment #1)
> Issues
> ======
> - LGPLv2.1 is not valid license short name, should be LGPLv2
> - python{2,3}-pytest is not necessary
> 

Thanks for review!

Please see updated specfile + SRPM.

Spec URL: https://copr-be.cloud.fedoraproject.org/results/skisela/python-yattag/fedora-rawhide-x86_64/00585430-python-yattag/python-yattag.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/skisela/python-yattag/fedora-rawhide-x86_64/00585430-python-yattag/python-yattag-1.8.0-1.fc27.src.rpm
Comment 3 Nikola Forró 2017-08-01 10:25:20 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-yattag , python3-yattag
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-yattag-1.8.0-1.fc27.noarch.rpm
          python3-yattag-1.8.0-1.fc27.noarch.rpm
          python-yattag-1.8.0-1.fc27.src.rpm
python2-yattag.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
python3-yattag.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
python-yattag.src: W: spelling-error %description -l en_US pythonic -> Python, python
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
python2-yattag.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
python3-yattag.noarch: W: spelling-error %description -l en_US pythonic -> Python, python
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
python2-yattag (rpmlib, GLIBC filtered):
    python(abi)

python3-yattag (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-yattag:
    python-yattag
    python2-yattag
    python2.7dist(yattag)
    python2dist(yattag)

python3-yattag:
    python3-yattag
    python3.6dist(yattag)
    python3dist(yattag)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/y/yattag/yattag-1.8.0.tar.gz :
  CHECKSUM(SHA256) this package     : 2c75d2c33a42acfa33484e19afb42a4f0eb1c633bedf5db1ca65bddb77dab6ca
  CHECKSUM(SHA256) upstream package : 2c75d2c33a42acfa33484e19afb42a4f0eb1c633bedf5db1ca65bddb77dab6ca
Comment 4 Gwyn Ciesla 2017-08-03 13:31:13 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-yattag

Note You need to log in before you can comment on or make changes to this bug.